res_config_pgsql: Fix removed support to previous for versions PostgreSQL 9.1
authorRodrigo Ramírez Norambuena <a@rodrigoramirez.com>
Tue, 19 Sep 2017 10:22:50 +0000 (07:22 -0300)
committerRichard Mudgett <rmudgett@digium.com>
Thu, 21 Sep 2017 11:52:41 +0000 (06:52 -0500)
commitcad68137a7f461a9308a0b53ab1ac86482206a54
tree93f396ec57a82e3c425d8a6ad7efa5d966fd91ca
parent62386dd1df85d0a9dc8b854836ad77e67bb1d56f
res_config_pgsql: Fix removed support to previous for versions PostgreSQL 9.1

In PostgreSQL 9.1 the backslash are string literals and not the escape
of characters.

In previous issue ASTERISK_26057 was fixed the use of escape LIKE but the
support for old version of Postgresql than 9.1 was dropped. The sentence
before make was "ESCAPE '\'" but in version before than 9.1  need it to be
as follow "ESCAPE '\\'".

ASTERISK-27283

Change-Id: I96d9ee1ed7693ab17503cb36a9cd72847165f949
res/res_config_pgsql.c